OnJoin Non-local user joining a channel
Parameters

    $0 = Nickname
    $1 = Username
    $2 = Hostname

Window
Channel
Description
Triggered just after a non-local user has joined a channel. Since this event is triggered in the channel window, you can get the channel name by using the $target function. Calling 'halt' in this event will stop the join message output.
See also
onmejoin

Index, Events